﻿using System;
using System.Collections.Generic;
using System.IO;

namespace ConsoleApp1
{
    internal class KeyValueReader
    {
        Dictionary<string, string> _dict = new Dictionary<string, string>();

        public KeyValueReader(string filePath)
        {
            foreach (string line in File.ReadAllLines(filePath))
            {
                string settings = line.Split('#')[0];
                string[] keyValues = SplitKeyValue(settings);

                if (keyValues != null && keyValues.Length == 2)
                {
                    _dict[keyValues[0]] = keyValues[1];
                }
            }
        }

        private string[] SplitKeyValue(string text)
        {
            int pos = text.IndexOf('=');
            if (pos == -1)
            {
                return null;
            }

            string key = text.Substring(0, pos).Trim();
            string value = text.Substring(pos + 1).Trim();

            return new [] { key, value };
        }

        public string this[string key]
        {
            get
            {
                return _dict[key];
            }
        }
    }
}